Seedance 재질 자산 그룹 목록
curl --request GET \
--url https://api.tokenlab.sh/v1/videos/assets/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": [
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "재사용 가능한 제품 샷",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
},
{
"id": "group-20260720123456-real1",
"object": "seedance.material_asset_group",
"library_type": "liveness_face",
"group_name": "Creator A",
"description": null,
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}
],
"next_page_token": null
}{
"error": {
"message": "model: Model is required",
"type": "invalid_request_error",
"param": "model"
},
"validation_errors": [
{
"field": "model",
"message": "Model is required"
}
]
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}비디오 및 자료
머티리얼 에셋 그룹 목록 조회
현재 조직이 소유한 Seedance 머티리얼 그룹 목록을 조회합니다.
GET
/
v1
/
videos
/
assets
/
groups
Seedance 재질 자산 그룹 목록
인증된 조직이 소유한 머티리얼 그룹을 나열합니다.
library_type 및 status로 필터링하여 가상 아바타 그룹과 실사 인물 그룹을 구분할 수 있습니다.
머티리얼 업로드 시 반환된 id를 사용하십시오. 비디오 생성 시 group_id를 material_asset_id로 전달하지 마십시오. 생성 작업에는 머티리얼 에셋 id가 필요합니다.
project_name은 인증된 조직 내 리소스를 분리합니다. 기본값은 default이며 관련 그룹과 소재에는 대소문자를 구분하는 동일한 값을 사용하세요. POST/PUT은 JSON 본문에, GET/DELETE는 쿼리 매개변수에 지정합니다.
요청 예시
curl "https://api.tokenlab.sh/v1/videos/assets/groups?library_type=aigc_avatar&page_size=20&project_name=default" \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
응답 예시
{
"groups": [
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"project_name": "default",
"library_type": "aigc_avatar",
"group_name": "Product references",
"status": "ACTIVE",
"created_at": 1782998400000
}
],
"next_page_token": null
}
인증
API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.
쿼리 매개변수
필수 범위:
1 <= x <= 100사용 가능한 옵션:
ACTIVE, DELETED TokenLab 재질 라이브러리 클래스별 필터링입니다.
사용 가능한 옵션:
aigc_avatar, liveness_face 자료 리소스에 대한 프로젝트 범위.
Required string length:
1 - 128